"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MongoKeyValueApi = void 0;
class MongoKeyValueApi {
    constructor() {
        this.name = 'mongoKeyValueApi';
        this.displayName = 'MongoDB Key Value API';
        this.documentationUrl = 'https://docs.mongodb.com/manual/reference/connection-string/';
        this.properties = [
            {
                displayName: 'MongoDB Connection String',
                name: 'mongoDbConnectionString',
                type: 'string',
                default: '',
                typeOptions: {
                    password: false,
                },
            },
        ];
    }
}
exports.MongoKeyValueApi = MongoKeyValueApi;
//# sourceMappingURL=MongoKeyValueApi.credentials.js.map