import { INodeType, INodeTypeDescription, type IExecuteFunctions, type ILoadOptionsFunctions, type INodeExecutionData, type INodePropertyOptions } from 'n8n-workflow';
export declare class MongoKeyValue implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getKeys(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
